<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:java="http://xml.apache.org/xslt/java"
extension-element-prefixes="java">


<xsl:output method="html"/>  


<xsl:attribute-set name="body-style">
  <xsl:attribute name="bgcolor">#ffffff</xsl:attribute>
  <xsl:attribute name="text">#000000</xsl:attribute>
  <xsl:attribute name="link">#006666</xsl:attribute>
  <xsl:attribute name="alink">#cc9900</xsl:attribute>
  <xsl:attribute name="vlink">#666633</xsl:attribute>
  <xsl:attribute name="background">interfaces/default/images/chalk.gif</xsl:attribute>
</xsl:attribute-set>


<xsl:template name="greenstoneHead">
<head>
<title><xsl:call-template name="text"><xsl:with-param name="key">common/nzdl</xsl:with-param></xsl:call-template></title>

</head>
</xsl:template>

<xsl:template name="greenstonePageBanner">

<center>
<table width="537" cellspacing="0" cellpadding="0">
  <tr valign="top">
    <td rowspan="2" align="left"><center><img src="interfaces/default/images/nzdl2gr.gif" width="457" height="181" ><xsl:attribute name="alt"><xsl:call-template name="text"><xsl:with-param name="key">common/nzdl</xsl:with-param></xsl:call-template></xsl:attribute></img></center></td>
    <td align="right"></td>
  </tr>

  <tr>
    <td align="right"></td>
  </tr>

  <tr>
    <td colspan="2"></td>
  </tr>
</table>
<xsl:call-template name="greenBar"/>

</center>

<!-- end of page banner -->

</xsl:template>

<xsl:template name="greenstoneFooter">
<center>
<p/>
<small>powered by greenstone3</small>
</center>
</xsl:template>


<xsl:template name="collectionPageBanner">
<xsl:param name="collName">coll-name</xsl:param>
<xsl:param name="collIcon"><xsl:value-of select="$collName"/>.gif</xsl:param>
<table width="537">
<tr><td align="left"><a href="library?a=p&amp;sa=about&amp;c={$collName}"><img width="150" border="1"><xsl:attribute name="src">sites/<xsl:value-of select="ancestor::page/config/site_name"/>/collect/<xsl:value-of select="$collName"/>/images/<xsl:value-of select="$collIcon"/></xsl:attribute><xsl:attribute name="alt"><xsl:call-template name="text"><xsl:with-param name="key">common/aboutpage</xsl:with-param></xsl:call-template></xsl:attribute></img></a></td><td align="right"><a href="library?a=p&amp;sa=home"><xsl:call-template name="text"><xsl:with-param name="key">common/home</xsl:with-param></xsl:call-template></a></td></tr></table>

<xsl:call-template name="greenBar"/>
</xsl:template>


<xsl:template name="greenBar">
<p/><img src="interfaces/default/images/divb.gif" width="537" height="17"/>
</xsl:template>



<!-- text stuff. can be called via xsl:call-template:  

<xsl:call-template name="text"><xsl:with-param name="key">your text name here</xsl:with-param></xsl:call-template>

otherwise can be selected by :

<xsl:apply-templates select="text"/>  

the text elem to be processed must be in the form
<text name="query/about"/>

-->

<xsl:template name="text" match="text">

<xsl:param name="key"><xsl:value-of select="@name"/></xsl:param>

<!-- try the current language -->

<xsl:variable name="path1">ancestor::page/translate/current/text/<xsl:value-of select="$key"/></xsl:variable>
<xsl:variable name="string1"><xsl:value-of select="java:org.apache.xalan.lib.Extensions.evaluate($path1)"/></xsl:variable>
<xsl:choose><xsl:when test="boolean(string($string1))"><xsl:value-of select="$string1"/></xsl:when>
<xsl:otherwise>

<!-- try the default language -->
<xsl:variable name="path2">ancestor::page/translate/default/text/<xsl:value-of select="$key"/></xsl:variable>
<xsl:value-of select="java:org.apache.xalan.lib.Extensions.evaluate($path2)"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

</xsl:stylesheet>  
