package org.greenstone.gsdl3.action;

import org.greenstone.gsdl3.core.ModuleInterface;
import org.greenstone.gsdl3.util.*;
// XML classes
import org.w3c.dom.Node; 
import org.w3c.dom.Document; 
import org.w3c.dom.Element; 

public class BrowseAction extends Action {
    

    public String process (Element message) {

	Element request = (Element)message.getElementsByTagName("request").item(0);
	
	String info = request.getAttribute("info");
	// remove the b/ bit
	info = GSPath.removeFirstLink(info);
	String browse_type = GSPath.getFirstLink(info);
	
	return unknownBrowse(request, browse_type);

	
    }
    

    protected String unknownBrowse(Element request, String browse_type) {

	return GSHTML.errorPage("unknown browse subtype: "+browse_type);
    }
}
